package edu.jhu.cer.TimelineCreator;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class ImageFileView extends FileView {
	ClassLoader cl = getClass().getClassLoader();
    ImageIcon jpgIcon = new ImageIcon(cl.getResource("images/jpgIcon.gif"));
    ImageIcon gifIcon = new ImageIcon(cl.getResource("images/gifIcon.gif"));
    ImageIcon tiffIcon = new ImageIcon(cl.getResource("images/tiffIcon.gif"));
    ImageIcon mp3Icon = new ImageIcon(cl.getResource("images/mp3Icon.gif"));
    ImageIcon flvIcon = new ImageIcon(cl.getResource("images/flvIcon.gif"));
    
    public String getName(File f) {
        return null; // let the L&F FileView figure this out
    }
    
    public String getDescription(File f) {
        return null; // let the L&F FileView figure this out
    }
    
    public Boolean isTraversable(File f) {
        return null; // let the L&F FileView figure this out
    }
    
    public String getTypeDescription(File f) {
        String extension = Utils.getExtension(f);
        String type = null;

        if (extension != null) {
            if (extension.equals(Utils.jpeg) ||
                extension.equals(Utils.jpg)) {
                type = "JPEG Image";
            } else if (extension.equals(Utils.gif)){
                type = "GIF Image";
            } else if (extension.equals(Utils.tiff) ||
                       extension.equals(Utils.tif)) {
                type = "TIFF Image";
            } else if (extension.equals(Utils.mp3))	{
            	type = "MP3 File";
            } else if (extension.equals(Utils.flv)) {
            	type = "FLV Movie";
            }
        }
        return type;
    }
    
    public Icon getIcon(File f) {
        String extension = Utils.getExtension(f);
        Icon icon = null;

        if (extension != null) {
            if (extension.equals(Utils.jpeg) ||
                extension.equals(Utils.jpg)) {
                icon = jpgIcon;
            } else if (extension.equals(Utils.gif)) {
                icon = gifIcon;
            } else if (extension.equals(Utils.tiff) ||
                       extension.equals(Utils.tif)) {
                icon = tiffIcon;
            } else if (extension.equals(Utils.mp3))	{
            	icon = mp3Icon;
            } else if (extension.equals(Utils.flv)) {
            	icon = flvIcon;
            }
        }
        return icon;
    }
}
