package edu.jhu.cer.TimelineCreator;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * Simple Action Listener implementation used to open a link in a browser.
 * Other classes may subclass this class to specify their own
 * links.
 */

class LinkOpener implements ActionListener {
    /**
     * The acutal address of the link being openeed.
     */
    String link = "http://timeline.cer.jhu.edu/";

    /**
     * Stores the address of the {@link #link link} to open in a String.
     * @param l the address to open
     */
    public void set_link(String l) {
	link = l;
    }

    public void actionPerformed(ActionEvent ae) {
	try {
	    BrowserLauncher.openURL(link);
	} catch (Exception e) {}
    }
}
