package edu.jhu.cer.TimelineCreator;

import javax.swing.JFrame;

/**
 * Saves .xml file before previewing.
 */
class SaveBeforePreview{
    /**
     * The main timeline creator window.
     */
    TimelineCreator tlc;

    /**
     * Saves a reference to the main timeline creator.
     * @see #tlc tlc
     */
    public SaveBeforePreview(TimelineCreator timeline) {
	tlc = timeline;
    }

    /**
     * Saves w/o preview.
     */
    public SaveBeforePreview(){	
	SaveBeforePreviewFrame frame = new SaveBeforePreviewFrame(tlc);
	frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	frame.show();
    }
}
