package edu.jhu.cer.TimelineCreator;

import javax.swing.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

class WarnDialogFrame extends JDialog{
    JTextArea msgTA;
    JLabel msgLabel;
    JButton cancelButton,proceedButton;
    JScrollPane jsp;
    public WarnDialogFrame(ArrayList messages){
	setModal(true);
	setSize(540,200);
	setLocation(75,200);
	setResizable(false);
	//setTile("Timeline Creator Save Warnings");
		
	msgTA = new JTextArea(5,10);
	msgTA.setLineWrap(true);
	msgTA.setWrapStyleWord(true);
	jsp = new JScrollPane(msgTA,JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,JScrollPane.HORIZONTAL_SCROLLBAR_NEVER );

		
	for(int i =0;i<messages.size();i++){
	    msgTA.append(messages.get(i).toString() + "\n");
	}
		
	msgLabel = new JLabel("Timeline Creator Save Wizard has generated following warnings: " + messages.size() + "!");
		
	cancelButton = new JButton("Cancel");
	cancelButton.setAlignmentX(Component.CENTER_ALIGNMENT);

	cancelButton.createToolTip();

	cancelButton.setToolTipText("Cancel this window and go back to edit event data");
	cancelButton.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e){
		    setReturn(false);
				//proceed = false;
		    dispose();
		}
	    }
				       );
		
	proceedButton = new JButton("Proceed");
	proceedButton.setAlignmentX(Component.CENTER_ALIGNMENT);

	proceedButton.createToolTip();
	proceedButton.setToolTipText("Ignore warnings and proceed with saving");
	proceedButton.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e){
				//proceed = true;
		    setReturn(true);
		    dispose();
		}
	    }
					);
		
	JPanel buttonsPanel = new JPanel();
		
	buttonsPanel.setLayout(new BoxLayout(buttonsPanel, BoxLayout.X_AXIS));
	buttonsPanel.add(cancelButton);
	buttonsPanel.add(proceedButton);
		
	Container contentPane = getContentPane();
		
	contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
	contentPane.add(msgLabel);
	contentPane.add(jsp);
	contentPane.add(buttonsPanel);
		

    }
    public void setReturn(boolean val){
	TimelineCreator.proceed = val;
    }
		
		
}
