package edu.jhu.cer.TimelineCreator;

import javax.swing.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;
import java.io.*;

class WarnOverwriteFrame extends JDialog{
    JLabel msgLabel;
    JButton cancelButton,proceedButton;
    public WarnOverwriteFrame(File file){
	setModal(true);
	setSize(400,135);
	setLocation(145,200);
	setResizable(false);
	setTitle("Warning: File already exists");

	String name = file.getName();
    
	ClassLoader cl1 = getClass().getClassLoader();
	ImageIcon warnIcon = new ImageIcon(cl1.getResource("images/metal-Warn.gif"));
	
	msgLabel = new JLabel("<html>File named " + name + " already exists. <br>Click on cancel to save using another name or <br>click proceed to proceed with the overwriting.",
			      warnIcon,
			      SwingConstants.CENTER);
	msgLabel.setAlignmentX(Component.CENTER_ALIGNMENT);

	cancelButton = new JButton("Cancel");
	cancelButton.setAlignmentX(Component.CENTER_ALIGNMENT);

	cancelButton.createToolTip();

	cancelButton.setToolTipText("Cancel this window and go back to edit event data");
	cancelButton.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e){
		    setReturn(false);
				//proceed = false;
		    dispose();
		}
	    }
				       );		

	proceedButton = new JButton("Proceed");
	proceedButton.setAlignmentX(Component.CENTER_ALIGNMENT);

	proceedButton.createToolTip();
	proceedButton.setToolTipText("Ignore warnings and proceed with saving");
	proceedButton.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e){
				//proceed = true;
		    setReturn(true);
		    dispose();
		}
	    }
					);
		
	JPanel buttonsPanel = new JPanel();
		
	buttonsPanel.setLayout(new BoxLayout(buttonsPanel, BoxLayout.X_AXIS));
	buttonsPanel.add(cancelButton);
	buttonsPanel.add(proceedButton);
		
	Container contentPane = getContentPane();
		
	contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
	contentPane.add(Box.createRigidArea(new Dimension(5, 10)));
	contentPane.add(msgLabel);
	contentPane.add(Box.createRigidArea(new Dimension(10, 0)));
	contentPane.add(buttonsPanel);
		

    }
    public void setReturn(boolean val){
	TimelineCreator.proceedOverwrite = val;
    }
		
		
}
