package edu.jhu.cer.TimelineCreator;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class MediaFilter extends FileFilter {
    
    // Accept all supported media types
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = Utils.getExtension(f);
	if (extension != null) {
            if (extension.equals(Utils.flv) ||
		extension.equals(Utils.tiff) ||
                extension.equals(Utils.tif) ||
                extension.equals(Utils.gif) ||
                extension.equals(Utils.jpeg) ||
                extension.equals(Utils.jpg)||
		extension.equals(Utils.mp3)) {
                    return true;
            } else {
                return false;
            }
    	}

        return false;
    }
    
    // The description of this filter
    public String getDescription() {
        return "All supported media types.";
    }
}
