package edu.jhu.cer.TimelineCreator;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * Handler for the preview menu.
 */
class PreviewMenuHandler implements ActionListener {
    /**
     * The main timeline creator window.
     */
    TimelineCreator tlc;

    /**
     * Saves a reference to the main timeline creator.
     * @see #tlc tlc
     */
    public PreviewMenuHandler(TimelineCreator timeline) {
	tlc = timeline;
    }

    /**
     * Checks to see if the table has been edited, and if so, makes the user
     * save before the preview is shown. Otherwise the preview is shown outright.
     */
    public void actionPerformed (ActionEvent ae){		
	if(!IsTableEdited.tableChanged){
	    try {	
		BrowserLauncher.openURL("file://"+System.getProperty("user.dir")+"/timeline.html?filename="+tlc.currentFileName);
	    } catch (Exception e){}
	}
	else{
	    SaveBeforePreview saveMe = new SaveBeforePreview(tlc);
	}
    }
}
