package edu.jhu.cer.TimelineCreator;

import java.util.*;

public class TLEvent implements Comparable {
	private Integer rowID, date;
	
	public TLEvent(int rowID, int date){
		this.rowID = new Integer(rowID);
		this.date = new Integer(date);
	}
	
	public String rowID() {return rowID.toString();}	
	public String date() {return date.toString();}		
	
	public boolean equals(Object o){
		if(!(o instanceof TLEvent))
			return false;
		TLEvent e = (TLEvent) o;
		return e.rowID.equals(rowID) &&
			e.date.equals(date);
	}
	
	
	public int hashCode() {
        	return 31*rowID.hashCode() + date.hashCode();
    	}
    	
    	public String toString() {return rowID + " " + date;}

    	public int compareTo(Object o) {
        	TLEvent n = (TLEvent)o;
        	int lastCmp = date.compareTo(n.date);
        	return (lastCmp!=0 ? lastCmp :
                	rowID.compareTo(n.rowID));
    	}

}