package edu.jhu.cer.TimelineCreator;

import java.awt.event.WindowAdapter;
import java.awt.event.ActionEvent;
import java.awt.event.WindowEvent;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JDialog;

/**
 * Closes window via top right 'x'.
 */
class WinClosing extends WindowAdapter {
    /**
     * The main timeline creator window.
     */
    TimelineCreator tlc;

    /**
     * Saves a reference to the main timeline creator.
     * @see #tlc tlc
     */
    public WinClosing(TimelineCreator timeline) {
	tlc = timeline;
    }

    /**
     * Public method for class.
     */
    public void windowClosing(WindowEvent we) {
		//hackjob way to trigger the quit menu handler
		(new QuitMenuHandler(tlc)).actionPerformed(new ActionEvent( this, 1, "1") );
	}
}
